# FieldPositionIterator Class Reference

FieldPositionIterator returns the field ids and their start/limit positions generated by a call to Format::format. More...

`#include <fpositer.h>`

Inheritance diagram for FieldPositionIterator:

## Public Member Functions
| ~FieldPositionIterator ()
| Destructor.
| FieldPositionIterator (void)
| Constructs a new, empty iterator.
| FieldPositionIterator (const FieldPositionIterator &)
| Copy constructor.
UBool | operator== (const FieldPositionIterator &) const
| Return true if another object is semantically equal to this one.
UBool | operator!= (const FieldPositionIterator &rhs) const
| Returns the complement of the result of operator==.
UBool | next (FieldPosition &fp)
| If the current position is valid, updates the FieldPosition values, advances the iterator, and returns TRUE, otherwise returns FALSE.
virtual UClassID | getDynamicClassID () const
| ICU "poor man's RTTI", returns a UClassID for the actual class.
## Static Public Member Functions
static UClassID | getStaticClassID ()
| ICU "poor man's RTTI", returns a UClassID for this class.
## Friends
class | FieldPositionIteratorHandler

## Detailed Description

FieldPositionIterator returns the field ids and their start/limit positions generated by a call to Format::format.

See Format, NumberFormat, DecimalFormat.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

Definition at line 53 of file fpositer.h.

## Constructor & Destructor Documentation

FieldPositionIterator::~FieldPositionIterator | ( |  | ) |

Destructor.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

FieldPositionIterator::FieldPositionIterator | ( | void |  | ) |

Constructs a new, empty iterator.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

FieldPositionIterator::FieldPositionIterator | ( | const FieldPositionIterator & |  | ) |

Copy constructor.

If the copy failed for some reason, the new iterator will be empty.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

## Member Function Documentation

virtual UClassID FieldPositionIterator::getDynamicClassID | ( |  | ) | const`[virtual]`

ICU "poor man's RTTI", returns a UClassID for the actual class.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

Implements UObject.

static UClassID FieldPositionIterator::getStaticClassID | ( |  | ) | `[static]`

ICU "poor man's RTTI", returns a UClassID for this class.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

UBool FieldPositionIterator::next | ( | FieldPosition & | fp | ) |

If the current position is valid, updates the FieldPosition values, advances the iterator, and returns TRUE, otherwise returns FALSE.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

UBool FieldPositionIterator::operator!= | ( | const FieldPositionIterator & | rhs | ) | const`[inline]`

Returns the complement of the result of operator==.

Parameters:

  | rhs | The FieldPositionIterator to be compared for inequality

Returns:
  the complement of the result of operator==

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

Definition at line 90 of file fpositer.h.

References operator==().

UBool FieldPositionIterator::operator== | ( | const FieldPositionIterator & |  | ) | const

Return true if another object is semantically equal to this one.

Return true if this FieldPositionIterator is at the same position in an equal array of run values.

Draft:
  This API may be changed in the future versions and was introduced in ICU 4.4

The documentation for this class was generated from the following file:

- fpositer.h

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Defines